version: '3.8'
services:
  bitcoind:
    container_name: crypto_bitcoind
    volumes:
      - "/var/lib/docker/volumes/bitcoin-data/_data: /bitcoin/.bitcoin"
    ports:
      - 8333:8333
    image: kylemanna/bitcoind
    deploy:
      resources:
        limits:
          cpus: '2'
          memory: 10240m
    restart: always
  umbrel-bitcoin:
    container_name: crypto_umbrel-bitcoin
    build: umbrel-bitcoin/.
    depends_on: [bitcoind]
    command: ["npm", "start"]
    restart: on-failure
    deploy:
      resources:
        limits:
          cpus: '2'
          memory: 1024m
    ports:
      - "3005:3005"
    volumes:
      - "/var/lib/docker/volumes/umbrel-bitcoin/_data: /data"
      - "/var/lib/docker/volumes/bitcoin-data/_data: /bitcoin/.bitcoin:ro"
    environment:
      PORT: "3005"
      BITCOIN_HOST: "bitcoind"
      BITCOIN_P2P_PORT: 8333
      BITCOIN_RPC_PORT: 8332
      BITCOIN_DEFAULT_NETWORK: "mainnet"
      RPC_USER: "your_username"
      RPC_PASSWORD: "your_password"
      DEVICE_DOMAIN_NAME: "test.local"
      BITCOIND_IP: "crypto_bitcoind"
